;;******************************************************;;
;;   二等分線をひく                                     ;;
;;                                                      ;;
;;   NITOUBUN.LSP                                       ;;
;;******************************************************;;
(defun C:nitoubun( / )
;;二本の線情報を取得する
	(setq obj1 (entsel "一本目の線を指示："))
;ポリゴンなら分解するようにメッセージを出す
	(setq obj (cdr (assoc 0 (entget (car obj1)))))
	(if (= obj "POLYLINE") (prompt "\nポリゴンは分解してください。")
	   (PROGN
;;---------------------------------------------------------
	    (setq pt_st1 (cdr (assoc 10 (entget (car obj1)))))
	    (setq pt_st1 (trans pt_st1 0 1))
	    (setq pt_en1 (cdr (assoc 11 (entget (car obj1)))))
	    (setq pt_en1 (trans pt_en1 0 1))

	(setq obj2 (entsel "二本目の線を指示："))
	    (setq pt_st2 (cdr (assoc 10 (entget (car obj2)))))
	    (setq pt_st2 (trans pt_st2 0 1))
	    (setq pt_en2 (cdr (assoc 11 (entget (car obj2)))))
	    (setq pt_en2 (trans pt_en2 0 1))

;;二本の線の交点座標を計算
	(setq pt_int (inters pt_st1 pt_en1 pt_st2 pt_en2 nil))
;;pt_intに近い方を pt_st1,pt_st2 にする
	(if (> (distance pt_int pt_st1) (distance pt_int pt_en1))
	    (setq s pt_st1 pt_st1 pt_en1 pt_en1 s)
	)
	(setq ang1   (angle pt_st1 pt_en1))
;	(setq ang1   (* (/ 180.0 pi) ang1))
	(if (> (distance pt_int pt_st2) (distance pt_int pt_en2))
	    (setq s pt_st2 pt_st2 pt_en2 pt_en2 s)
	)
	(setq ang2   (angle pt_st2 pt_en2))
;	(setq ang2   (* (/ 180.0 pi) ang2))
;;---------------------------------------------------------
	(setq pt_mid1 (polar pt_int ang1 10.0))
	(setq pt_mid2 (polar pt_int ang2 10.0))
	(setq pt_mid  (list (/ (+ (car pt_mid1) (car pt_mid2)) 2)
                            (/ (+ (cadr pt_mid1) (cadr pt_mid2)) 2)))
	(setq ang3 (angle pt_int pt_mid))
;;カーソルのアングルを変える
	(setvar "SNAPANG" ang3)
	(setvar "ORTHOMODE" 1)
	(command "LINE" pt_int pause "")
	(setvar "SNAPANG" 0)
	(setvar "ORTHOMODE" 0)
	   )
	);if
(princ)
)
