;;********************************************************;;
;;    図枠作成用プログラム                                ;;
;;                                                        ;;
;;        　　　S_Edit1.lsp                               ;;
;;　　サブ関数  S_Edit-1                                  ;;
;;              S_Edit1.dcl                               ;;
;;********************************************************;;

(defun c:S_Edit1 ( / dialog-box dcl_id) 

   (setq dcl_id (load_dialog "S_Edit1"))
   (new_dialog "S_Edit1" dcl_id)

        (setq x1 0 y1 0)
	(setq x2 (dimx_tile "image00"))
        (setq y2 (dimy_tile "image00"))
        (start_image "image00")
        (slide_image x1 y1 x2 y2 "S_Edit1")
        (end_image)

  ;<< 各タイル の初期設定 >>
   (set_tile "tate1" "")
   (set_tile "tate2" "")
   (set_tile "yoko1" "")
   (set_tile "yoko2" "")
  
   ;<< edit_tile 処理 yoko1 に値を受け取る >>
   (action_tile "yoko1"
      (strcat
         "(setq yoko1 (get_tile \"yoko1\"))"
         "(mode_tile \"tate1\" 2)"
      )
   )
   ;<< edit_tile 処理 tate1 に値を受け取る >>
   (action_tile "tate1"
      (strcat
         "(setq tate1 (get_tile \"tate1\"))"
         "(mode_tile \"yoko2\" 2)"
      )
   )
   ;<< edit_tile 処理 yoko2 に値を受け取る >>
   (action_tile "yoko2"
      (strcat
         "(setq yoko2 (get_tile \"yoko2\"))"
	 "(mode_tile \"tate2\" 2)"
      )
   )
  ;<< edit_tile 処理 tate2 に値を受け取る >>
   (action_tile "tate2"
      (strcat
         "(setq tate2 (get_tile \"tate2\"))"
      )
   )
  
   (setq dialog-box (start_dialog))
   (unload_dialog dcl_id)
   (if(= (getvar "DIASTAT") 1) (S_Edit1_1))
  
(princ)
)

;Sub関数の定義
(defun S_Edit1_1 ( / omode p0 p1 p2 p3 p4 p5 ent1
                     p6 p7 p8 ss1)
  (setq omode (getvar "OSMODE"))
  (setvar "OSMODE" 0)
;;選択セットを用意
  (setq ss1 (ssadd))
;;DCLの値の取り込み
  (setq yoko1 (atof yoko1))
  (setq tate1 (atof tate1))
  (setq yoko2 (atof yoko2))
  (setq tate2 (atof tate2))
;;図枠を描く
  (setq p1 '(0 0))
  (setq p2 (polar p1 0 yoko1))
  (setq p3 (polar p2 (* 0.5 pi) tate1))
  (setq p4 (polar p3 pi yoko1))
  (command "PLINE" p1 p2 p3 p4 "C")
  (setq ss1 (ssadd (entlast) ss1))
;中心線を引く
  (setq p5 (polar p4 0 yoko2))
  (setq p6 (polar p1 0 yoko2))
  (command "LINE" p5 p6 "")
  (setq ss1 (ssadd (entlast) ss1))

  (setq p7 (polar p4 (* 1.5 pi) tate2))
  (setq p8 (polar p3 (* 1.5 pi) tate2))
  (command "LINE" p7 p8 "")
  (setq ss1 (ssadd (entlast) ss1))
;;全体を移動する
  (setq p0 (polar p7 0 yoko2))
  (command "MOVE" ss1 "" p0)
;;Oスナップモードをもとに戻す
  (setvar "OSMODE" omode)
;;グローバル変数の初期化
  (setq tate1 nil tate2 nil yoko1 nil yoko2 nil)
  (setvar "cmdecho" 1)
(princ)
)
	
