(defun c:S_Radio2( / dialog_box dcl_id)
  (setq dcl_id (load_dialog "S_Radio2"))
  (new_dialog "S_Radio2" dcl_id)

  (action_tile "main_key1" "(GetListVal)")
  (action_tile "main_key2" "(GetListVal)")

  (defun GetListVal()
   (setq a (get_tile "main_key1"))
   (setq b (get_tile "main_key2"))
  )

  (action_tile "help" "(help00)")
  
  (setq dialog-box (start_dialog))
  (unload_dialog dcl_id)
  (if(= (getvar "DIASTAT") 1) (S_Radio2_1))

 (princ)
)

(defun help00()
   (alert help-radio_3)
)

(setq help-radio_3
   (strcat
      "\n最初に正三角形か正方形を選択します。"
      "\n   "
      "\n１辺・・・一辺の長さを指定します。"
      "\n   "
      "\n外接・・・中心と辺の中点の長さを指定します。"
      "\n   "
      "\n内接・・・中心と頂点の長さを指定します。"
      "\n   "
      "\nOK ボタンを押してを処理を継続してください。"
   )
)

(defun S_Radio2_1()
  
  (setq c (strcat a b))
  (cond
    ( (= c "sankakuhen1")  (san1) ) ;三角形
    ( (= c "sankakuhen2")  (san2) ) ;三角形
    ( (= c "sankakuhen3") (san3) ) ;三角形
    ( (= c "sikakuhen1")  (sikaku1) ) ;四角形
    ( (= c "sikakuhen2") (sikaku2) ) ;四角形
    ( (= c "sikakuhen3") (sikaku3) ) ;四角形
    (     T                (san1) ) ;三角形
  )
(princ)
)

(defun san1 ( / pt1 pt2)
  (setvar "cmdecho" 0)
  (setq pt1 (getpoint "\n辺の1点目:"))
  (setq pt2 (getpoint pt1 "\n辺の2点目:"))
  (command "polygon" "3" "E" pt1 pt2)
  (setq a ni b nil c nil)
  (setvar "cmdecho" 1)
 )
 (defun san2 ( / pt1 pt2)
  (setvar "cmdecho" 0)
  (setq pt1 (getpoint "\n中心:"))
  (setq pt2 (getpoint pt1 "\n辺の中点:"))
  (command "polygon" "3" pt1 "C" pt2)
  (setq a ni b nil c nil)
  (setvar "cmdecho" 1)
 )
 (defun san3 ( / pt1 pt2)
  (setvar "cmdecho" 0)
  (setq pt1 (getpoint "\n中心:"))
  (setq pt2 (getpoint pt1 "\n辺の頂点:"))
  (command "polygon" "3" pt1 "I" pt2)
  (setq a ni b nil c nil)
  (setvar "cmdecho" 1)
 )
;;四角形
(defun sikaku1 ( / pt1 pt2)
  (setvar "cmdecho" 0)
  (setq pt1 (getpoint "\n辺の1点目:"))
  (setq pt2 (getpoint pt1 "\n辺の2点目:"))
  (command "polygon" "4" "E" pt1 pt2)
  (setq a ni b nil c nil)
  (setvar "cmdecho" 1)
 )
 (defun sikaku2 ( / pt1 pt2)
  (setvar "cmdecho" 0)
  (setq pt1 (getpoint "\n中心:"))
  (setq pt2 (getpoint pt1 "\n辺の中点:"))
  (command "polygon" "4" pt1 "C" pt2)
  (setq a ni b nil c nil)
  (setvar "cmdecho" 1)
 )
 (defun sikaku3 ( / pt1 pt2)
  (setvar "cmdecho" 0)
  (setq pt1 (getpoint "\n中心:"))
  (setq pt2 (getpoint pt1 "\n辺の頂点:"))
  (command "polygon" "4" pt1 "I" pt2)
  (setq a ni b nil c nil)
  (setvar "cmdecho" 1)
 )