(setq help-S_Edit2
   (strcat
      "\n面取りのタイプを選択します。"
      "\n   "
      "\n左側は、2 つの面取り距離を指定するタイプです。"
      "\n右側は、面取り距離と角度を指定するタイプです。"
      "\n   "
      "\nOK ボタンを押してを処理を継続してください。"
   )
)
    (defun help00()
       (alert help-S_Edit2)
    )

(defun c:S_Edit2( / dialog_box dcl_id sen1 sen2 kaku check)

   (if(not S_Edit2)(load"S_Edit2"))

   (setq dcl_id (load_dialog "S_Edit2"))
   (new_dialog "S_Edit2" dcl_id)

   ;<<<<< イメージを表示する処理 >>>>>
   (setq x1 0) (setq y1 0)
   (setq x2 (dimx_tile "image01")
         y2 (dimy_tile "image01")
   )

   (start_image "image01")
   (fill_image x1 y1 x2 y2 -2)
   (slide_image x1 y1 x2 y2 "S_Edit2-1")
   (end_image)

   (start_image "image02")
   (fill_image x1 y1 x2 y2 -2)
   (slide_image x1 y1 x2 y2 "S_Edit2-2")
   (end_image)

  ;<< 各タイル の初期設定 >>
   (set_tile "sen1" "")
   (set_tile "sen2" "")
   (set_tile "kaku" "")

  ;<< edit_tile 処理 sen1 に値を受け取る >>
   (action_tile "sen1"
      (strcat
         "(setq sen1 (get_tile \"sen1\"))"
      )
   )
   ;<< edit_tile 処理 sen2 に値を受け取る >>
   (action_tile "sen2"
      (strcat
         "(setq sen2 (get_tile \"sen2\"))"
      )
   )
  ;<< edit_tile 処理 kaku に値を受け取る >>
   (action_tile "kaku"
      (strcat
         "(setq kaku (get_tile \"kaku\"))"
      )
   )
  ;<< image01 処理 変数check=1 >>
 	(action_tile "image01"
	  (strcat
	    "(setq check 1)"
	    "(mode_tile \"kaku\" 1)"
	    "(mode_tile \"sen2\" 0)"
	   )
	 )
  ;<< image02 処理 変数check=2 >>
	(action_tile "image02"
          (strcat
            "(setq check 2)"
	    "(mode_tile \"sen2\" 1)"
	    "(mode_tile \"kaku\" 0)"
	   )
	 )

   (action_tile "help" "(help00)")
   (setq dialog-box (start_dialog))
   (unload_dialog dcl_id)
   (if(= (getvar "DIASTAT") 1) (popup_01))

(princ)
)

(defun popup_01()
	(cond
	    ( (= check 1) (cham1) )
	    ( (= check 2) (cham2) )
	    (T            (cham1) )
       )
)

(defun cham1()
  (setvar "CHAMMODE" 0)
  (setvar "CHAMFERA" (atof sen1))
  (setvar "CHAMFERB" (atof sen2))

  (prompt "\n1本目の線分と2本目の線分を選択：")
  (command "CHAMFER")
  (setq sen1 nil sen2 nil kaku nil)
)

(defun cham2()
  (setvar "CHAMMODE" 1)
  (setvar "CHAMFERC" (atof sen1))
  (setvar "CHAMFERD" (angtof kaku 0))

  (prompt "\n1本目の線分と2本目の線分を選択：")
  (command "CHAMFER")
  (setq sen1 nil sen2 nil kaku nil)
)
