(defun C:S_Popup1 ( /  blkname blkdata blklst layname laydata laylst
                       sel_block sel_layer dcl_id c_layer c_layer1 chkdia pt1)

  (setq blkname (tblnext "BLOCK" T))
  (while blkname
   (setq blkdata (cdr (assoc 2 blkname)))
   (setq blklst (append blklst (list blkdata)))
   (setq blkname (tblnext "BLOCK"))
  )

  (setq layname (tblnext "LAYER" T))
  (while layname
   (setq laydata (cdr (assoc 2 layname)))
   (setq laylst (append laylst (list laydata)))
   (setq layname (tblnext "LAYER"))
  )
  
  (setq dcl_id (load_dialog "S_Popup1.dcl"))
   (if (not (new_dialog "S_Popup1" dcl_id))
    (progn
      (alert "S_Popup1.DCL ファイルがありません！")
      (exit)
    )
  )
  (defun SaveTileVal()
   (setq sel_block(nth (atoi(get_tile "block_sel")) blklst))
   (setq sel_layer(nth (atoi(get_tile "layer_sel")) laylst))
   )
      (setq c_layer (getvar "Clayer"))
      (setq c_layer1 (strcat "現在の画層は<" c_layer ">です。"))
      (set_tile "title" c_layer1)
  
      (start_list "block_sel" 3)
      (mapcar 'add_list blklst)
      (end_list)

      (start_list "layer_sel" 3)
      (mapcar 'add_list laylst)
      (end_list)
  
      (action_tile "accept"  "(SaveTileVal)(done_dialog 1)")
      (action_tile "cancel"  "(done_dialog 0)")

      (setq ddiag (start_dialog))
      (unload_dialog dcl_id)

      (if(= ddiag 1)
        (if sel_block
	 (progn
	  (command "-layer" "s" sel_layer "")
	  (setq pt1 (getpoint "\n挿入位置を指示："))
	  (command "-insert" sel_block pt1 "" "" "")
	  (command "-layer" "s" c_layer "")
         )
        )
      )
  (princ)
)